For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
            • Companies
              • GETList Companies
              • POSTCreate Company
              • GETGet Company Details
              • PUTUpdate Company
              • DELDelete Company
              • POSTConvert BigCommerce Customer Group into Company
              • POSTBulk Create Companies
              • PUTUpdate Companies (batch)
              • PUTUpdate Company Catalog
              • PUTUpdate Company Status
              • GETList Company Extra Field Configs
              • GETList Company Attachments
              • POSTAdd Company Attachment
              • DELDelete Company Attachment
          • Invoice Management
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementCompanyCompanies

Get Company Details

GET
https://api-b2b.bigcommerce.com/api/v3/io/companies/:companyId
GET
/api/v3/io/companies/:companyId
$curl https://api-b2b.bigcommerce.com/api/v3/io/companies/123456 \
> -H "X-Auth-Token: <apiKey>"
1{
2 "code": 1.1,
3 "data": {
4 "bcGroupId": "123",
5 "companyName": "Great Buys Inc.",
6 "companyEmail": "admin@greatbuys.com",
7 "companyPhone": "8001234567",
8 "companyId": 123456,
9 "catalogId": "123456",
10 "catalogName": "string",
11 "bcGroupName": "Tier 3 B2B Clients",
12 "companyStatus": "1",
13 "parentCompany": {
14 "id": 123456,
15 "name": "Great Buys Inc"
16 },
17 "priceListAssign": [
18 {
19 "channelId": 10001234,
20 "priceListId": 123456,
21 "priceListName": "Tier 3 B2B Pricing",
22 "channelName": "My BigCommerce Store"
23 }
24 ],
25 "extraFields": [
26 {
27 "fieldName": "Customer Tax Code",
28 "fieldValue": "Code G",
29 "labelName": "Customer Tax Code",
30 "isRequired": "0",
31 "dataType": "0",
32 "fieldType": 1
33 }
34 ],
35 "uuid": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
36 "updatedAt": "1618794615",
37 "createdAt": "1618794615"
38 },
39 "meta": {
40 "message": "string"
41 }
42}
Returns detailed information for a specific Company account.
Was this page helpful?
Previous

Create Company

Next

Update Company

Built with

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

companyIdintegerRequired
Unique numeric ID of the Company account.

Response

OK
codedouble
dataobject
metaobject

Errors

404
Not Found Error